<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlRfPSLoopbackCfg_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlRfPSLoopbackCfg_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Radar RF Phase shift loopback configuration.  
 <a href="structrl_rf_p_s_loopback_cfg__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_sensor.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:aba6b9bf17bbe3b665c4803c53c0f2a86"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aba6b9bf17bbe3b665c4803c53c0f2a86"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_p_s_loopback_cfg__t.html#aba6b9bf17bbe3b665c4803c53c0f2a86">psLoopbackFreq</a></td></tr>
<tr class="memdesc:aba6b9bf17bbe3b665c4803c53c0f2a86"><td class="mdescLeft">&#160;</td><td class="mdescRight">Loop back frequency in kHz, 1 LSB = 1kHz. <br /></td></tr>
<tr class="separator:aba6b9bf17bbe3b665c4803c53c0f2a86"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5213a23f2046d68f1df32853db7e293d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5213a23f2046d68f1df32853db7e293d"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_p_s_loopback_cfg__t.html#a5213a23f2046d68f1df32853db7e293d">reserved0</a></td></tr>
<tr class="memdesc:a5213a23f2046d68f1df32853db7e293d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a5213a23f2046d68f1df32853db7e293d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30a7d164721fccf4f7b7ed06f2f0d9b8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a30a7d164721fccf4f7b7ed06f2f0d9b8"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_p_s_loopback_cfg__t.html#a30a7d164721fccf4f7b7ed06f2f0d9b8">psLoopbackEn</a></td></tr>
<tr class="memdesc:a30a7d164721fccf4f7b7ed06f2f0d9b8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable/Disable PA loopback <br />
 1: PS loopback Enable, 0: PS loopback Disable <br />
. <br /></td></tr>
<tr class="separator:a30a7d164721fccf4f7b7ed06f2f0d9b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29524e698f47e2d1c4e3641b3c94a9ad"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a29524e698f47e2d1c4e3641b3c94a9ad"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_p_s_loopback_cfg__t.html#a29524e698f47e2d1c4e3641b3c94a9ad">psLoopbackTxId</a></td></tr>
<tr class="memdesc:a29524e698f47e2d1c4e3641b3c94a9ad"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tx used for loopback <br />
 [b0] 1: Tx0 is used for loopback <br />
 [b1] 1: Tx1 is used for loopback <br />
 [b7:2] : reserved <br />
. <br /></td></tr>
<tr class="separator:a29524e698f47e2d1c4e3641b3c94a9ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea1ac10fb8db95d91e334e1cd7efebda"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aea1ac10fb8db95d91e334e1cd7efebda"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_p_s_loopback_cfg__t.html#aea1ac10fb8db95d91e334e1cd7efebda">pgaGainIndex</a></td></tr>
<tr class="memdesc:aea1ac10fb8db95d91e334e1cd7efebda"><td class="mdescLeft">&#160;</td><td class="mdescRight">PGA gain value <br />
 0 : PGA is OFF <br />
 1 : -22 dB <br />
 2 : -16 dB <br />
 3 : -14 dB <br />
 4 : -11 dB <br />
 5 : -9 dB <br />
 6 : -6 dB <br />
 7 : -5 dB <br />
 8 : -4 dB <br />
 9 : -3 dB <br />
 10: -2 dB <br />
 11: -1 dB <br />
 12: 0 dB <br />
 13: 1 dB <br />
 14: 2 dB <br />
 15: 3 dB <br />
 16: 4 dB <br />
 17: 5 dB <br />
 18: 6 dB <br />
 19: 7 dB <br />
 20: 8 dB <br />
 21: 9 dB <br />
 255-22:RESERVED <br />
. <br /></td></tr>
<tr class="separator:aea1ac10fb8db95d91e334e1cd7efebda"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3437308e3f7a98580be16c9fdea4889f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3437308e3f7a98580be16c9fdea4889f"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_p_s_loopback_cfg__t.html#a3437308e3f7a98580be16c9fdea4889f">reserved1</a></td></tr>
<tr class="memdesc:a3437308e3f7a98580be16c9fdea4889f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a3437308e3f7a98580be16c9fdea4889f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Radar RF Phase shift loopback configuration. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_sensor.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
